Get employees
curl --request GET \
--url https://api.syntage.com/entities/{entityId}/insights/employees \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.syntage.com/entities/{entityId}/insights/employees"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.syntage.com/entities/{entityId}/insights/employees', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"total": 5,
"metric": 5,
"date": "202408",
"dateLabel": "2024/Aug",
"startDate": "2024-08-01",
"dimension": "total",
"label": "total"
}
]
}{
"message": "<string>"
}{
"message": "<string>"
}Providers
Employees Insight
Number of employees per period, derived from distinct payroll (CFDI Nómina) recipients.
GET
/
entities
/
{entityId}
/
insights
/
employees
Get employees
Authorizations
Your API key is available in the Production and Sandbox dashboards.
Path Parameters
Query Parameters
Filter by invoice issuing date (greater than)
Filter by invoice issuing date (less than)
The data set is grouped by this field
Available options:
daily, weekly, monthly, quarterly, yearly Response
Employees
Employee counts per period
Show child attributes
Show child attributes
Was this page helpful?
⌘I